<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_MEDIA_PLAYBACK" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.P2play">
        <activity
            android:name=".SettingsActivity2"
            android:exported="false"
            android:label="@string/title_activity_settings"
            android:theme="@style/Theme.P2play">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".MainActivity" />
        </activity>
        <activity
            android:name=".ChannelActivity"
            android:exported="false"
            android:theme="@style/Theme.P2play.NoActionBar" />
        <activity
            android:name=".SplashActivity"
            android:exported="true"
            android:theme="@style/Theme.P2play.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".HostActivity"
            android:exported="false"
            android:theme="@style/Theme.P2play.NoActionBar" />
        <activity
            android:name=".MainActivity"
            android:exported="false"
            android:theme="@style/Theme.P2play.NoActionBar" />
        <activity
            android:name=".ReproductorActivity"
            android:configChanges="orientation|screenSize"
            android:exported="false"
            android:hardwareAccelerated="true"
            android:theme="@style/Theme.P2play.NoActionBar" />
        <activity
            android:name=".LoginActivity"
            android:exported="false" />
        <activity
            android:name=".RegisterActivity"
            android:exported="false" />
        <activity
            android:name=".AboutActivity"
            android:exported="false" />
        <activity
            android:name=".SettingsActivity"
            android:exported="false"
            android:label="@string/title_activity_settings"
            android:theme="@style/Theme.P2play" />

        <service
            android:name=".services.PlaybackService"
            android:foregroundServiceType="mediaPlayback"
            android:exported="true">
            <intent-filter>
                <action android:name="androidx.media3.session.MediaSessionService"/>
            </intent-filter>
        </service>
    </application>

</manifest>